setTooltips {iSPlot} | R Documentation

## Sets the tooltips

### Description

setTooltips sets the tooltip values when the callback function is to show tooltips over points. The default value for tooltips is to use the row names, but the user can also set the tooltips to be values from a column in the data frame. setTooltips is a command line function that is meant only to be used when the user is not using the GUI.

### Usage

    setTooltips(name)

### Arguments

`name` | can either be the name of a column from the active model or it can be 'rowNames' to indicate that the row names should be used as the tooltips

### Details

If the user wants the tooltips to be values from a column in the active model, then the parameter, name, should be the name of that column. If the user wants the tooltips to be the row names, then the parameter, name, should be 'rowNames'.

### Author(s)

Elizabeth Whalen

### See Also

`setCallFunc`, `getTooltips`

### Examples

      if (interactive())
      {
        loadData("USArrests")
        setActiveMVC("USArrests")
        createSPlot(varx="Murder", vary="Assault")
        setCallFunc("mouseOver", "show tooltips over points")
        setTooltips("Murder")
        # now move the cursor over the plot
        Sys.sleep(3)
        setTooltips("rowNames")
      }

[Package iSPlot version 1.12.0 Index]